Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038163
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 09. Financial managementmajorhave not tried2018-03-16 15:232018-03-29 13:07
Reportermarkmm82View Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionf7cf83905689
ProjectionnoneETAnoneTarget Version3.0PR18Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038163: Tax calculation adjustment must be done in the highest variance tax

DescriptionCalculating taxes in Price Included taxes we usually loose precision rounding numbers and then we check if an adjustment is needed. Now, We take the greatest tax(the tax with highest amount) to apply the adjustment. We have to take the tax which applying the adjustment results the lowest variance with exact amount.

- If taxes are more than expected we have to add the adjustment to the tax with highest variance(below amount) from exact value.
- If taxes are less than expected we have to add the adjustment to the tax with highest variance(above amount) from exact value.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Filesdiff file icon 38163.diff [^] (10,367 bytes) 2018-03-21 19:18 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0038160 closedmigueldejuana Retail Modules Tax calculation adjustment must be done in the tax with the lowest variance after adjustment  
related to design defect 0032265 closedaferraz Openbravo ERP [SER QA 1434] Taxes at document level are not properly calculated in some cases 
depends on defect 00382073.0PR18Q2 closedmarkmm82 Openbravo ERP API change is required due to solution of issue 38163 

-  Notes
(0103531)
hgbot (developer)
2018-03-26 18:13

Repository: erp/devel/pi
Changeset: f7cf839056890ac39c2d8d53f487d3b2912523b7
Author: Mark <markmm82 <at> gmail.com>
Date: Sun Mar 25 18:46:54 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/f7cf839056890ac39c2d8d53f487d3b2912523b7 [^]

Fixes issue 38163: Tax adjustment must be done in the closest variance tax

Adjusted the tax line that stays closest to the original amount (the one with the
lowest rounded tax amount - not rounded tax amount + adjustment amount).

---
M src-db/database/model/functions/C_INVOICELINETAX_ROUNDING.xml
M src-db/database/model/functions/C_INVOICELINETAX_ROUNDING_AMT.xml
M src-db/database/model/functions/C_INVOICETAX_ADJUSTMENT.xml
M src-db/database/model/functions/C_INVOICETAX_ROUNDING.xml
M src-db/database/model/functions/C_ORDERLINETAX_ROUNDING.xml
M src-db/database/model/functions/C_ORDERLINETAX_ROUNDING_AMT.xml
M src-db/database/model/functions/C_ORDERTAX_ADJUSTMENT.xml
M src-db/database/model/functions/C_ORDERTAX_ROUNDING.xml
M src-db/database/model/triggers/C_INVOICELINE_TRG2.xml
M src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
---
(0103532)
hgbot (developer)
2018-03-26 18:13

Repository: erp/devel/pi
Changeset: ca0f109a23f9911e1a9a43ceb78843417722afe2
Author: Mark <markmm82 <at> gmail.com>
Date: Sun Mar 25 18:46:54 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/ca0f109a23f9911e1a9a43ceb78843417722afe2 [^]

Related to issue 38163: Fixes TaxesTest suite

Fixes some tests of the TaxesTest suite, adapting them to the new adjustment logic.

---
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData117.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData118.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData119.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData120.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData125.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData126.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData127.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData128.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData133.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData134.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData135.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData136.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData141.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData142.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData143.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData144.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData149.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData150.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData151.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData152.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData157.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData158.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData159.java
M src-test/src/org/openbravo/test/taxes/data/TaxesTestData160.java
---
(0103535)
hgbot (developer)
2018-03-26 18:16

Repository: erp/devel/api-checks
Changeset: 25d8ddb5f22a2d5a7b6ddaee0bfee43e0f4e6edb
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Mar 26 18:15:57 2018 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/25d8ddb5f22a2d5a7b6ddaee0bfee43e0f4e6edb [^]

Fixes issue 38207: API change for issue 38163

---
M model/src-db/database/model/functions/C_INVOICELINETAX_ROUNDING.xml
M model/src-db/database/model/functions/C_INVOICELINETAX_ROUNDING_AMT.xml
M model/src-db/database/model/functions/C_INVOICETAX_ADJUSTMENT.xml
M model/src-db/database/model/functions/C_INVOICETAX_ROUNDING.xml
M model/src-db/database/model/functions/C_ORDERLINETAX_ROUNDING.xml
M model/src-db/database/model/functions/C_ORDERLINETAX_ROUNDING_AMT.xml
M model/src-db/database/model/functions/C_ORDERTAX_ADJUSTMENT.xml
M model/src-db/database/model/functions/C_ORDERTAX_ROUNDING.xml
M model/src-db/database/model/triggers/C_INVOICELINE_TRG2.xml
M model/src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
---
(0103545)
aferraz (developer)
2018-03-26 18:36

Code review + Testing OK
(0103633)
hudsonbot (developer)
2018-03-29 13:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ead4656f507e [^]
Maturity status: Test
(0103634)
hudsonbot (developer)
2018-03-29 13:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ead4656f507e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-16 15:23 markmm82 New Issue
2018-03-16 15:23 markmm82 Assigned To => Triage Finance
2018-03-16 15:23 markmm82 Modules => Core
2018-03-16 15:23 markmm82 Triggers an Emergency Pack => No
2018-03-16 15:23 markmm82 Assigned To Triage Finance => markmm82
2018-03-16 15:23 markmm82 Status new => scheduled
2018-03-20 10:22 aferraz Relationship added related to 0038160
2018-03-21 19:18 aferraz File Added: 38163.diff
2018-03-22 13:42 aferraz Relationship added related to 0032265
2018-03-22 20:54 markmm82 Relationship added causes 0038207
2018-03-23 11:28 aferraz Relationship replaced blocks 0038207
2018-03-23 11:30 aferraz Category Z. Others => 09. Financial management
2018-03-26 18:13 hgbot Checkin
2018-03-26 18:13 hgbot Note Added: 0103531
2018-03-26 18:13 hgbot Status scheduled => resolved
2018-03-26 18:13 hgbot Resolution open => fixed
2018-03-26 18:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f7cf839056890ac39c2d8d53f487d3b2912523b7 [^]
2018-03-26 18:13 hgbot Checkin
2018-03-26 18:13 hgbot Note Added: 0103532
2018-03-26 18:16 hgbot Checkin
2018-03-26 18:16 hgbot Note Added: 0103535
2018-03-26 18:17 aferraz Relationship replaced depends on 0038207
2018-03-26 18:34 aferraz Target Version => 3.0PR18Q2
2018-03-26 18:36 aferraz Type defect => design defect
2018-03-26 18:36 aferraz Review Assigned To => aferraz
2018-03-26 18:36 aferraz Note Added: 0103545
2018-03-26 18:36 aferraz Status resolved => closed
2018-03-26 18:36 aferraz Fixed in Version => 3.0PR18Q2
2018-03-29 13:07 hudsonbot Checkin
2018-03-29 13:07 hudsonbot Note Added: 0103633
2018-03-29 13:07 hudsonbot Checkin
2018-03-29 13:07 hudsonbot Note Added: 0103634


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker